Data Fields
_qspi_command_t Struct Reference
Peripheral Driver » HAL Driver » QSPI » Structures » QSPI command

QSPI command Structure definition. More...

`#include <gr55xx_hal_qspi.h>`

## Data Fields
uint32_t | instruction
uint32_t | address
uint32_t | instruction_size
uint32_t | address_size
uint32_t | dummy_cycles
uint32_t | data_size
uint32_t | instruction_address_mode
uint32_t | data_mode
uint32_t | length

## Detailed Description

QSPI command Structure definition.

## Field Documentation

## ◆ address

uint32_t _qspi_command_t::address

Specifies the Address to be sent (Size from 1 to 4 bytes according AddressSize). This parameter can be a value (32-bits) between 0x0 and 0xFFFFFFFF.

## ◆ address_size

uint32_t _qspi_command_t::address_size

Specifies the Address Size. This parameter can be a value of QSPI Address Size.

## ◆ data_mode

uint32_t _qspi_command_t::data_mode

Specifies the Data Mode (used for dummy cycles and data phases). This parameter can be a value of QSPI Data Mode.

## ◆ data_size

uint32_t _qspi_command_t::data_size

Specifies the QSPI address width. This parameter can be a value of Data Width.

## ◆ dummy_cycles

uint32_t _qspi_command_t::dummy_cycles

Specifies the Number of Dummy Cycles. This parameter can be a number between 0 and 31.

## ◆ instruction

uint32_t _qspi_command_t::instruction

Specifies the Instruction to be sent. This parameter can be a value (8-bit) between 0x00 and 0xFF.

## ◆ instruction_address_mode

uint32_t _qspi_command_t::instruction_address_mode

Specifies the Instruction and Address Mode. This parameter can be a value of QSPI Instruction and Address Mode.

## ◆ instruction_size

uint32_t _qspi_command_t::instruction_size

Specifies the Instruction Size. This parameter can be a value of QSPI Instruction Size.

## ◆ length

uint32_t _qspi_command_t::length

Specifies the number of data to transfer. (This is the number of bytes). This parameter can be any value between 0 and 0xFFFFFFFF (0 means undefined length until end of memory).

The documentation for this struct was generated from the following file:

- gr55xx_hal_qspi.h